org.wildfly.swarm.config.management

## Class ManagementOperationsService<T extends ManagementOperationsService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.ManagementOperationsService<T>

-     public class ManagementOperationsService<T extends ManagementOperationsService<T>>
      extends Object

  Execution of management operations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagementOperationsService.ManagementOperationsServiceResources` Child mutators for ManagementOperationsService

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementOperationsService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `activeOperation(ActiveOperation value)` Add the ActiveOperation object to the list of subresources
    `T` | `activeOperation(ActiveOperationSupplier supplier)` Install a supplied ActiveOperation object to the list of subresources
    `T` | `activeOperation(String childKey)` Create and configure a ActiveOperation object to the list of subresources
    `T` | `activeOperation(String childKey, ActiveOperationConsumer consumer)` Create and configure a ActiveOperation object to the list of subresources
    `T` | `activeOperations(List<ActiveOperation> value)` Add all ActiveOperation objects to this subresource
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ManagementOperationsService.ManagementOperationsServiceResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagementOperationsService

          public ManagementOperationsService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ManagementOperationsService.ManagementOperationsServiceResources subresources()

    - #### activeOperations

          public T activeOperations(List<ActiveOperation> value)

      Add all ActiveOperation objects to this subresource
      Parameters:
        `value` - List of ActiveOperation objects.
      Returns:
        this

    - #### activeOperation

          public T activeOperation(ActiveOperation value)

      Add the ActiveOperation object to the list of subresources
      Parameters:
        `value` - The ActiveOperation to add
      Returns:
        this

    - #### activeOperation

          public T activeOperation(String childKey,
                                   ActiveOperationConsumer consumer)

      Create and configure a ActiveOperation object to the list of subresources
      Parameters:
        `key` - The key for the ActiveOperation resource
        `config` - The ActiveOperationConsumer to use
      Returns:
        this

    - #### activeOperation

          public T activeOperation(String childKey)

      Create and configure a ActiveOperation object to the list of subresources
      Parameters:
        `key` - The key for the ActiveOperation resource
      Returns:
        this

    - #### activeOperation

          public T activeOperation(ActiveOperationSupplier supplier)

      Install a supplied ActiveOperation object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.